# UNEXPUNGE

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

## NAME

unexpunge - restore expunged (but yet unremoved) messages

## SYNOPSIS

unexpunge [ -C config-file ] -l mailbox
unexpunge [ -C config-file ] -t time-interval [ -d ] [ -v ] [ -f flagname ] mailbox
unexpunge [ -C config-file ] -a [ -d ] [ -v ] [ -f flagname ] mailbox
unexpunge [ -C config-file ] -u [ -d ] [ -v ] [ -f flagname ] mailbox uid...

## DESCRIPTION

Unexpunge is used to restore expunged messages which have yet to be removed from the Cyrus mailspool. This utility is only useful when the server is configured to use delayed expunge.

Unexpunge reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## OPTIONS

-C config-file

Read configuration options from config-file.

| -l |  | List the expunged messages in the specified mailbox which are available for restoration.

-t time-interval

Unexpunge messages which were expunged in the last time-interval seconds. (modifiers: m: minutes, h: hours, d: days, w: weeks).

| -a |  | Restore all of the expunged messages in the specified mailbox.
| -u |  | Restore only those messages having the specified UIDs in the specified mailbox.
| -d |  | Unset the \Deleted flag on any restored messages.

-f flagname

Set the user flag flagname on any restored messages. This can make it easy to batch operate on just the restored messages afterwards.

| -v |  | Enable verbose output/logging. |

## FILES

/etc/imapd.conf

## SEE ALSO

imapd.conf(5)